﻿#pragma strict

private var Loading : boolean = true;
private var GameOver : boolean = false;
private var Win : boolean = false;

function Start () {
	(gameObject.GetComponent("Terrain") as Terrain).basemapDistance = 1000;
}

function Update () {
	Loading = false;

	var player : GameObject = GameObject.Find("Player");
	var partner : GameObject = GameObject.Find("Partner");
	var core : GameObject = GameObject.Find("Core");
	if(!player || !partner) {
		GameOver = true;
	}
	if(!core) {
		GameOver = true;
		Win = true;
	}

	if (Input.GetKey ("escape")) {
		Application.Quit();
	}

}

function OnGUI() {
	if (Loading) {
		GUI.Label(Rect(10,10, 100, 50), "Loading...");		
	} else if (GameOver) {
		GUI.Label(Rect(10,10, 100, 50), Win ? "You Win! ;)" : "Game Over!");
		if (GUI.Button(Rect(10,70,100,20),"[R]estart") || Input.GetKeyDown("r")) {
			Loading = true;
			Application.LoadLevel(Application.loadedLevel);
		}
	}
	if (Input.GetKeyDown("r")) {
		Loading = true;
		Application.LoadLevel(Application.loadedLevel);
	}	
}