﻿#pragma strict

var Target : GameObject;
var Dest : Vector3;
var Distance : float = 3;
var Delay : float = 3;
var WeaponPS : ParticleSystem;
var Displace : float = 0;


function Start () {
	if(!WeaponPS) WeaponPS = gameObject.particleSystem;	
	
}

private var Deadline : float = 0;
function Update () {
	if(!Target) return;
	
	var d : Vector3 = Target.transform.position + Displace * Target.transform.forward;
	if(	Deadline < Time.time) {
		if(Vector3.Distance(gameObject.transform.position, d) > Distance && Vector3.Distance(d, Dest) > Distance) {
			Deadline = Time.time + Delay;
			(gameObject.GetComponent("NavMeshAgent") as NavMeshAgent).destination = Dest = d;
		}		
	}

	if(Vector3.Distance(Target.transform.position, gameObject.transform.position) < 3) {
		if((WeaponPS.gameObject.GetComponent("Weapon") as Weapon).Damage > 0 || Target.transform.localScale.y < 2) {
			Deadline = Time.time + Delay;
			if(!WeaponPS.isPlaying) { WeaponPS.Play(); }
			WeaponPS.gameObject.transform.LookAt(Target.transform);	
		}
	} else {
		if(WeaponPS.isPlaying) WeaponPS.Stop();
	}
}